Subject: Re: [PATCH v2 2/2] nls: Update translation keys for guix gc

From: Remco van 't Veer <[email-masked]>
Date: Mon, 23 Jan 2023 19:16:58 +0100

2023/01/23 14:14, Julien Lepiller:

> Ah this is dangerous. You updated the msgid but not the msgstr. This
> means the translation will keep using the old format string. Could you
> also update the msgstr when a translation exists?

The order of the arguments is still the same for all translatable
strings so the danger is minimal.  I'll send a v3 with the msgstrs
updated too (using po-mode.el) but I'll only touch the ones having "~h"
(and changed them to "~,2h") and will leave the ones having "~a" for the
size argument as they were, just to be sure (don't want to break a
translation).

> You can also drop all the files with no translation for the affected
> msgids from your patch, though this works too.

Thanks for the tip but I'll leave them as is for now.

Cheers,
Remco